<?php
session_start();

// Protection des pages d'administration
function check_admin_login() {
    if (!isset($_SESSION['user_id']) || !isset($_SESSION['username'])) {
        header("Location: login.php");
        exit();
    }
}

// Obtenir le nom d'utilisateur connecté
function admin_get_current_user() {
    return isset($_SESSION['username']) ? $_SESSION['username'] : null;
}
?>
